#!/bin/sh

#
# Shell script to run the parser 
# depending 
#

# set this to be the full path to the parser.properties file
PARSER_PROPERTIES=/full/path/to/parser.properties

# options to ParserThread are:
# -daemon -- run in daemon mode--monitor a directory for new logfiles and 
#            load them to the database as they are created
# -logDir -- process all the files in a specified directory (full path)
#            and exit (unless -daemon is specified)
# specifying these values on the command-line overrides their values in the 
# parser.properties file
java -Djdbc.drivers=org.postgresql.Driver -Dparser.properties=$PARSER_PROPERTIES org.halfcat.halflife.ParserThread -daemon
