<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<%@ page language="java" import="org.halfcat.net.*,java.util.*,java.net.*" %>
<jsp:useBean id="southfork1" scope="application" class="org.halfcat.net.Server" />

<%
  String aAddress = request.getParameter( "address" );
  String portStr  = request.getParameter( "port" );
  if ( aAddress != null )
  { 
    southfork1.setQueryAddress( aAddress );
    if ( portStr != null )
    {
      try
      {
	southfork1.setQueryPort( Integer.parseInt( portStr ) );
      }
      catch( Exception e )
      {
	System.out.println( e.getMessage() );
      }
    }
    else
      southfork1.setQueryPort( 27015 );
  }
  else
  {
    southfork1.setQueryAddress( "63.89.102.206" );
    southfork1.setQueryPort( 27017 );
  }

  boolean serverUp = true;

  try
  {
    southfork1.refresh();
  }
  catch( SocketException se )
  {
    serverUp = false;
%>
    <title>Server Down</title>
    </head>

    <body>
    <center>
    The server at <b><%= southfork1.getQueryAddress() %>:<%= southfork1.getQueryPort() %></b> is currently Down.<br>
<%
  }
  if ( serverUp )
  {
%>
<title>Status of <%= southfork1.getServerName() %></title>
</head>

<body font:8pt/11pt verdana;>
<center>
<table border="1">
<tr>
  <td colspan=2><b><%= southfork1.getServerName() %></b></td>
</tr>
<tr>
  <td><b>Location:</b></td>
  <td><%= southfork1.getQueryAddress() %>:<%= southfork1.getQueryPort() %></td>
</tr>
<tr>
  <td><b>Map:</b></td>
  <td><%= southfork1.getMapName() %></td>
</tr>
<tr>
  <td><b>Players:</b></td><td><%= southfork1.getNumPlayers() %>/<%= southfork1.getMaxPlayers() %></td>
</tr>
<tr>
  <td colspan=2>
<table border="1" width="100%">
  <tr>
    <th>Num</th>
    <th>Name</th>
    <th>Frags</th>
  </tr>
<%
  org.halfcat.net.Player p;
  List playerList = southfork1.getPlayers();
  Iterator i = playerList.iterator();
  while ( i.hasNext() )
  {
    p = (org.halfcat.net.Player)i.next();
%>
<tr>
  <td><%= p.getNumber() %></td>
  <td><%= p.getPlayerName() %> </td>
  <td align="right"><%= p.getFrags() %></td>
</tr>
<%
  } // endwhile
%>
</table>
  </td>
</tr>
</table>
<%
} // if ( serverUp )
%>
<hr>
<i>This page generated by <b>halfcat</b>.  Visit <a href="http://www.halfcat.org">http://www.halfcat.org</a> or mail us at <a href="mailto:halfcat@halfcat.org">halfcat@halfcat.org</a> for more information.</i>
<hr>
</center>

</body>
</html>
