<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>

<style type="text/css">
<!--
body { font-family: Arial, Helvetica, sans-serif; font-size: 9pt }
td {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt}
th {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: bold}
-->
</style>
<%@ page language="java" 
    import="org.halfcat.halflife.*, 
	    org.halfcat.halflife.cstrike.*, 
	    org.halfcat.halflife.info.*, 
	    java.util.*,"
%>
<jsp:useBean id="rconServers" scope="session" class="java.util.Hashtable" />
<jsp:useBean id="statusServers" scope="session" class="java.util.Hashtable" />

<%!
java.text.DecimalFormat df = new java.text.DecimalFormat( "0.00" );
private String killRatio( int kills, int deaths )
{
  return df.format( (float)kills / (float)Math.max( 1, deaths ) );
}
%>
<%
  java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat( "dd MMM yy, HH:mm zzz" );
  org.halfcat.halflife.cstrike.Player p = null;
  String wonId = request.getParameter( "wonId" );
  System.out.println( "Profile for " + wonId );
  PlayerSummary pp = null;
  if ( wonId != null )
  {
    pp = new PlayerSummary( Long.parseLong( wonId ) );
  }

  if ( ! pp.isValidPlayer() )
  {
%>
<title>Invalid request</title>
</head>
<body>
<b>There is currently no player information available for this player</b>
</body>
</html>
<%
    return;
  }

  int colSpan = ( pp.hasMultipleAliases() ? 13 : 12 );
  boolean listAlias = pp.hasMultipleAliases();
%>
<title>Profile for player #<%= wonId %></title>
<body>
<table border="1">
<tr>
<td colspan="<%= colSpan + 1 %>">
<table width="100%">
<tr>
<th width="100%" colspan="2">Player Profile</th>
</tr>
  <tr>
    <td width="1%" nowrap><b>Alias(es):</b></td>
    <td colspan="<%= colSpan %>"><%= pp.getAliases() %></td>
  </tr>
  <tr>
    <td width="1%" nowrap><b>WON ID:</b></td>
    <td colspan="<%= colSpan %>"><%= wonId %></td>
  </tr>
  <tr>
    <td><b>Kill Ratio:</b></td>
    <td colspan="<%= colSpan %>">
      (<%= pp.getKills() %> / <%= pp.getDeaths() %>) = 
      <b><%= killRatio( pp.getKills(), pp.getDeaths() ) %></b>
    </td>
  </tr>
  <tr>
    <td><b>kicks/bans:</b></td>
    <td colspan="<%= colSpan %>"><%= pp.getKickbans() %></td>
  </tr>
</table>
</td>
</tr>
<tr>
<th valign="bottom" nowrap>Date</th>
<th valign="bottom">Map</th>
<%
if ( listAlias ) {
%>
<th nowrap valign="bottom">Alias</th>
<% } %>
<th valign="bottom">&nbsp;</th>
<th valign="bottom">Kills</th>
<th valign="bottom">Deaths</th>
<th nowrap valign="bottom">Kill Ratio</th>
<th valign="bottom">TK's</th>
<th>Hostages<br>Touched</th>
<th>Hostages<br>Rescued</th>
<th>Bomb<br>Plants</th>
<th>Bomb<br>Defuses</th>
<th>VIP<br>Kills</th>
<th valign="bottom">Reconnects</th>
</tr>

<%
GamePlayer pg;
Game g;
Iterator i = pp.getGames().iterator();
while ( i.hasNext() ) {
  g = (Game)i.next();
  pg = pp.getGamePlayer( g.getGameId() );
%>
  <tr>
    <td align="center" nowrap><%= sdf.format( g.getStartTime() ) %></td>
    <td align="center"><%= g.getMapName() %></td>

<% if ( listAlias ) { %>
<td nowrap><%= pg.getCurrentName() %></td>
<% } %>
<%--
<td align="right"><%= pg.getTks() == 0 ? "&nbsp;" : "" + pg.getTks() %></td>
--%>
    <td align="center"><a href="gameProfile2.jsp?gameId=<%= pg.getGameId() %>&wonId=<%= pg.getWonID() %>">View</a></td>
    <td align="right"><%= pg.getKills() %></td>
    <td align="right"><%= pg.getDeaths() %></td>
    <td align="right"><%= killRatio( pg.getKills(), pg.getDeaths() ) %></td>
    <td align="right"><%= pg.getTks() %></td>
    <td align="right"><%= pg.getTouchedHostages() %></td>
    <td align="right"><%= pg.getRescuedHostages() %></td>
    <td align="right"><%= pg.getBombPlants() %></td>
    <td align="right"><%= pg.getBombDefuses() %></td>
    <td align="right"><%= pg.getVipKills() %></td>
    <td align="right"><%= pg.getReconnects() %></td>
  </tr>

<% } %>

  <tr>
    <td colspan="<%= (listAlias ? 4 : 3) %>"><b>Total</b></td>
    <td align="right"><b><%= pp.getKills() %></b></td>
    <td align="right"><b><%= pp.getDeaths() %></b></td>
    <td align="right"><b><%= killRatio( pp.getKills(), pp.getDeaths() ) %></b></td>
    <td align="right"><b><%= pp.getTks() %></b></td>
    <td align="right"><b><%= pp.getHostageTouches() %></b></td>
    <td align="right"><b><%= pp.getHostageRescues() %></b></td>
    <td align="right"><b><%= pp.getBombPlants() %></b></td>
    <td align="right"><b><%= pp.getBombDefuses() %></b></td>
    <td align="right"><b><%= pp.getVipKills() %></b></td>
    <td align="right"><b><%= pp.getReconnects()  %></b></td>
  </tr>
</table>
</body>
</html>

