<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<style type="text/css">
<!--
body { font-family: Arial, Helvetica, sans-serif; font-size: 9pt }
td {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt}
th {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: bol
d}
b { font-family: Arial, Helvetica, sans-serif; font-weight: bold; font-size: -1}
-->
</style>
  <font name="Arial, Helvetica, sans-serif">
<%@ page language="java" 
    import="org.halfcat.halflife.*, 
	    org.halfcat.halflife.cstrike.*, 
	    org.halfcat.halflife.info.*, 
	    java.util.*, 
	    java.net.*" 
%>
<jsp:useBean id="statusServers" scope="session" class="java.util.Hashtable" />
<jsp:useBean id="rconServers" scope="session" class="java.util.Hashtable" />
<jsp:useBean id="recentGames" scope="application" class="org.halfcat.halflife.info.RecentGames" />

<%
  if ( session.isNew() )
  {
    Cookie[] ca = request.getCookies();
    CookieProcessor.buildServersFromCookies( ca, rconServers, statusServers );
  }
  String aAddress;
  int port = 27015;
  StatusServer ss = null;

  String numGamesStr = request.getParameter( "num" );
  int numGames = 10;
  if ( numGamesStr != null )
  {
    try
    {
      numGames = Integer.parseInt( numGamesStr );
    }
    catch( Exception e )
    {
      ;
    }
  }
  String key = request.getParameter( "key" );

  if ( key != null && statusServers.containsKey( key ) )
  {
    ss = (StatusServer)statusServers.get( key );
    aAddress = ss.getAddress();
    port = ss.getPort();
  }
  else
  {
    aAddress = request.getParameter( "address" );
    String portStr  = request.getParameter( "port" );
    if ( aAddress != null )
    { 
      System.out.println( "New StatusServer" );
      ss = new StatusServer();
      ss.setQueryAddress( aAddress );
      if ( portStr != null )
      {
	try
	{
	  port = Integer.parseInt( portStr );
	}
	catch( Exception e )
	{
	  System.out.println( e.getMessage() );
	}
      }
      ss.setQueryPort( port );
    }
  }

  String serverName = ss.getQueryAddress() + ":" + ss.getQueryPort(); 
  String gameType = null;
  try {
    ss.refresh();
    String name = ss.getServerName();
    if ( name != null )
      serverName = name;
  } catch( SocketException se ) { 
  } 
java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat( "dd MMM yy HH:mm zzz" );
%>
  <title><%= numGames %> Most Recent games at <%= serverName %></title>
</head>

<body>
<center>
<table border="1">
<tr>
  <td colspan="8" align="center"><b><%= numGames %> Most Recent Games at <%= serverName %></b></td>
</tr>
<tr>
  <th valign="bottom">#</th>
  <th valign="bottom">Start</th>
  <th valign="bottom">End</th>
  <th valign="bottom">Map</th>
  <th valign="bottom">CT<br>Wins</th>
  <th valign="bottom">Terr<br>Wins</th>
  <th valign="bottom">Draws</th>
  <th>&nbsp;</th>
</tr>
<%
  int x = 1;
  Iterator i = recentGames.getGames( aAddress, port ).iterator();
  Game g;
  while ( i.hasNext() ) {
  g = (Game)i.next();
%>
<tr>
  <td align="right"><%= x++ %>.</td>
  <td><%= sdf.format( g.getStartTime() ) %></td>
  <td><%= sdf.format( g.getEndTime() ) %></td>
  <td><%= g.getMapName() %></td>
  <td><%= g.getCtWins() %></td>
  <td><%= g.getTerrWins() %></td>
  <td><%= g.getDraws() %></td>
  <td><a href="gameProfile2.jsp?gameId=<%= g.getObjectId() %>">View</a></td>
</tr>
<% } // end while(i.hasNext()) %>
</table>
</center>
<hr>
<center>
<i>This page is part of <b>HalfCat</b>.  Visit <a href="http://www.halfcat.org">http://www.halfcat.org</a> or mail <a href="mailto:halfcat@halfcat.org">halfcat@halfcat.org</a> for more information.</i>
<hr>
</center>
</body>
</html>
