<%@ 
  page language="java" 
  import="org.halfcat.halflife.*,java.util.*,java.net.*" 
%>
<jsp:useBean id="servers" scope="session" class="java.util.Hashtable" />

<%
  System.out.println( request.getHeader( "referer" ) );
  if ( request.getHeader( "referer" ).endsWith( "addServer.jsp" ) )
  {

  // process any submissions for login/add server here -- add a cookie
  // the cookie is url-encoded and formattted as 
  //  www.xxx.yyy.zzz:12345 passwd

  String newSvr = request.getParameter( "address" );
  String newPort = request.getParameter( "port" );
  String newPass = request.getParameter( "password" );
  if ( newSvr != null && newPort != null )
  {
    if ( newPass == null )
      newPass = "";

    // generate a server table entry for this server
    RconServer rs = new RconServer();
    rs.setQueryAddress( newSvr );
    rs.setQueryPort( Integer.parseInt( newPort ) );
    rs.setPassword( newPass );

    // set the cookie for this server
    String cookieValue = newSvr + ":" + newPort + " " + newPass;
    String cookieName  = "svr-" + servers.size();
    Cookie c = new Cookie( cookieName, URLEncoder.encode( cookieValue ) );

    servers.put( cookieName, rs );
    response.addCookie( c );

    System.out.println( "new cookie: " + cookieName + ": " + cookieValue );
  }
  }
%>

<%
  // obtain and process cookies to get server list for new sessions
  if ( session.isNew() )
  {
    Cookie[] ca = request.getCookies();
    for ( int x = 0; x < ca.length; x++ )
    {
      if ( ca[x].getName().startsWith( "svr-" ) )
      {
	String svrString = URLDecoder.decode( ca[x].getValue() );

	System.out.println( "adding from cookie: '" + svrString + "'" );

	int cIndex = svrString.indexOf( ':' );
	int pIndex = svrString.indexOf( ' ' );
	String passwd;

	String qa = svrString.substring( 0, cIndex - 1 );
	String qp = svrString.substring( cIndex + 1, pIndex ); 
	if ( pIndex < svrString.length() )
	  passwd = svrString.substring( pIndex + 1 );
	else
	  passwd = "";

	// only re-add if we don't already have this in our hash
	if ( ! servers.containsKey( qa + ":" + qp ) )
	{
	  RconServer rs = new RconServer();
	  rs.setQueryAddress( qa );
	  rs.setQueryPort( Integer.parseInt( qp ) );
	  rs.setPassword( passwd );
	  servers.put( qa + ":" + qp, rs );

	  System.out.println( "rcon: " + rs.getQueryAddress() + ":" +
	    rs.getQueryPort() + " '" + passwd + "'" );
	}
      }
      else
      {
	System.out.println( "unknown: " + ca[x].getName() + ": " + ca[x].getValue() );
      }
    }
  }
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<script language="Javascript">
<!--
//setTimeout( "location = 'servers.jsp'", 5000 );
//-->
</script>

<title>Monitor and Manage Servers</title>
</head>
<body font:8pt/11pt verdana;>
<center>
<h2>Monitor and Manage Servers</h2>
<center>
<table border="1">
<tr>
  <th>&nbsp;</th>
  <th>Name</th>
  <th>Players</th>
  <th>Location</th>
</tr>
<%
  int c = 1;
  Iterator i = servers.values().iterator();
  while ( i.hasNext() )
  {
    RconServer server = (RconServer)i.next();
    try
    {
      server.refresh();
%>
    <tr>
      <td><%= c++ %></td>
      <td><b><%= server.getServerName() %></b></td>
      <td><%= server.getPlayerStr() %></td>
      <td align="right"><%= server.getQueryAddress() %>:<%= server.getQueryPort() %></td>
    </tr>
<%
    }
    catch( Exception e )
    {
%>
    <tr>
      <td><%= c++ %></td>
      <td colspan="2" align="center"><b>Status check Failed</b></td>
      <td><%= server.getQueryAddress() %>:<%= server.getQueryPort() %></td>
    </tr>
<%
    }
  } // while
%>
</table>
<p align="right">
<form><input type="submit" action="servers.jsp" value="Reload"></form>
</p>

<!--
<hr>
<i>This page generated by <b>halfcat</b>.  Visit <a href="http://www.halfcat.org">http://www.halfcat.org</a> or mail us at <a href="mailto:halfcat@halfcat.org">halfcat@halfcat.org</a> for more information.</i>
<hr>
-->
</center>

</body>
</html>
