<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<%@ page language="java" import="org.halfcat.net.*" import="java.util.*" %>
<jsp:useBean id="southfork1" scope="application" class="org.halfcat.net.Server" />

<%
  String aAddress = request.getParameter( "address" );
  String portStr  = request.getParameter( "port" );
  if ( aAddress != null )
  { 
    southfork1.setQueryAddress( aAddress );
    if ( portStr != null )
    {
      try
      {
	southfork1.setQueryPort( Integer.parseInt( portStr ) );
      }
      catch( Exception e )
      {
	System.out.println( e.getMessage() );
      }
    }
    else
      southfork1.setQueryPort( 27015 );
  }
  else
  {
    southfork1.setQueryAddress( "192.168.1.7" );
    southfork1.setQueryPort( 27017 );
  }
  southfork1.refresh();
%>
<title>Status of <%= southfork1.getServerName() %></title>
</head>

<body font:8pt/11pt verdana;>
<center>
<table>
<tr>
  <td colspan=2><b><%= southfork1.getServerName() %></b></td>
</tr>
<tr>
  <td><b>Location:</b></td>
  <td><%= southfork1.getAddress() %>:<%= southfork1.getPort() %></td>
</tr>
<tr>
  <td><b>Map:</b></td>
  <td><%= southfork1.getMapName() %></td>
</tr>
<tr>
  <td><b>Players:</b></td><td><%= southfork1.getNumPlayers() %>/<%= southfork1.getMaxPlayers() %></td>
</tr>
<tr>
  <td colspan=2>
<table>
  <tr>
    <th>Num</th>
    <th>Name</th>
    <th>Frags</th>
  </tr>
<%
  org.halfcat.net.Player p;
  List playerList = southfork1.getPlayers();
  Iterator i = playerList.iterator();
  while ( i.hasNext() )
  {
    p = (org.halfcat.net.Player)i.next();
%>
<tr>
  <td><%= p.getNumber() %></td>
  <td><%= p.getPlayerName() %> </td>
  <td align="right"><%= p.getFrags() %></td>
</tr>
<%
  }
%>
</table>
  </td>
</tr>

</center>


</body>
</html>
