package org.halfcat.halflife.cstrike.maps;

import org.halfcat.halflife.cstrike.*;
import java.sql.*;
import java.util.*;
import org.halfcat.persistence.*;

public class PlayerAliasMap
	extends AbstractObjectMap
{
	private static String   TABLENAME = "playerAlias";
	private static String[] FIELDS = { "wonID", "alias" };
public PlayerAliasMap() { super(); }
public String[] getFields() { return FIELDS; }
public String getTableName() { return TABLENAME; }
public Persistable populate( Persistable p, ResultSet rs )
	throws SQLException
{	if ( p == null )
		p = new PlayerAlias();
	PlayerAlias f = (PlayerAlias)p;
	f.setObjectId( rs.getInt( 1 ) );
	f.setWonID( rs.getLong( 2 ) );
	f.setAlias( rs.getString( 3 ) );
	return f;
}
public int prepareInsert( Persistable p, PreparedStatement ps )
	throws SQLException
{
	PlayerAlias f = (PlayerAlias)p;
	ps.setLong( 1, f.getWonID() );
	ps.setString( 2, f.getAlias() );
	return 2;
}
}
