package org.halfcat.halflife.cstrike.maps;

import org.halfcat.halflife.cstrike.*;
import java.sql.*;
import java.util.*;
import org.halfcat.persistence.*;

public class PlayerMap
	extends AbstractObjectMap
{
	private static String   TABLENAME = "players";
	private static String[] FIELDS = { "WonID" };
public PlayerMap() { super(); }
public String[] getFields() { return FIELDS; }
public String getTableName() { return TABLENAME; }
public Persistable populate( Persistable p, ResultSet rs )
	throws SQLException
{	if ( p == null )
		p = new Player();
	Player f = (Player)p;
	f.setObjectId( rs.getInt( 1 ) );
	f.setWonID( rs.getLong( 2 ) );
	return f;
}
public int prepareInsert( Persistable p, PreparedStatement ps )
	throws SQLException
{
	Player f = (Player)p;
	ps.setLong( 1, f.getWonID() );
	return 1;
}
}
