package org.halfcat.persistence;

/**
 * Insert the type's description here.
 * Creation date: (4/30/00 4:35:49 PM)
 * @author: 
 */

import javax.swing.tree.*;


public abstract class AbstractPersistableTreeNode 
	extends javax.swing.tree.DefaultMutableTreeNode 
	implements Persistable 
{
  // persistence instance variables
  protected int m_objectId = 0;
  protected int m_objectState = ObjectState.NEW;	
/**
 * AbstractPersistableTreeNode constructor comment.
 */
public AbstractPersistableTreeNode() {
	super();
}
/**
 * AbstractPersistableTreeNode constructor comment.
 * @param userObject java.lang.Object
 */
public AbstractPersistableTreeNode(Object userObject)
{
	super(userObject);
}
/**
 * AbstractPersistableTreeNode constructor comment.
 * @param userObject java.lang.Object
 * @param allowsChildren boolean
 */
public AbstractPersistableTreeNode(Object userObject, boolean allowsChildren)
{
	super(userObject, allowsChildren);
}
/**
 * getObjectId method comment.
 */
public int getObjectId() 
{
	return m_objectId;
}
/**
 * getObjectState method comment.
 */
public int getObjectState() 
{
	return m_objectState;
}
/**
 * setObjectId method comment.
 */
public void setObjectId(int oid)
{
	m_objectId = oid;
}
/**
 * setObjectState method comment.
 */
public void setObjectState(int state)
{
	m_objectState = state;
}
}
