DROP TABLE ServerRecords;

CREATE TABLE ServerRecords (
address 	varchar(32),
port 	int4,
serverId 	int4
);
drop table gamePlayers;
CREATE TABLE GamePlayers (
wonID 		int8,
currentTeam 	int4,
serverId	int4,
kills 		int4,
deaths 		int4,
tks 		int4,
reconnects 	int4,
teamChangeCount	int4,
gameId		int4,
touchedhostages	int4,
rescuedhostages	int4,
killedhostages	int4,
bombplants	int4,
bombdefuses	int4,
vipkills	int4,
escapes		int4,
currentName	varchar(32),
kickbans	int4
);
create index gp_wonId on gameplayers ( wonId );
create index gp_serverId on gameplayers ( serverId );
create index gp_gameId on gameplayers ( gameId );
drop table games;

CREATE TABLE games (
startTime 	timestamp,
endTime 	timestamp,
mapName 	varchar(32),
friendlyFireOn 	Boolean,
c4Timer 	int4,
ctWins 		int4,
terrWins 	int4,
draws 		int4,
serverId 	int4
);
drop table kickbans;
CREATE TABLE kickBans (
wonID 		int8,
banIP 		varchar(32),
action 		int4,
banTime 	int4,
server 		int4,
datetime	timestamp
);
drop table playeraddress;
CREATE TABLE playerAddress (
wonID 		int8,
address 	varchar(32)
);
create index paddr_wonid on playeraddress ( wonid );

drop table playeralias;
CREATE TABLE playerAlias (
wonID 	int8,
alias 	varchar(32)
);
create index palias_wonid on playeralias ( wonid );
drop table players;
CREATE TABLE players (
WonID 	int8
);
create index pl_wonid on players( wonid );

drop table serverToWon;
CREATE TABLE serverToWon (
wonID	 	int8,
serverID 	int4,
server 		int4
);
create index stw_wonid on serverToWon( wonid );
create index stw_srvId on serverToWon( serverid );
create index gp_wonid on gameplayers ( wonid );

create index paddr_wonid on playeraddress ( wonid );
create index palias_wonid on playeralias ( wonid );

create index pl_wonid on players( wonid );

create index stw_wonid on serverToWon( wonid );
create index stw_srvId on serverToWon( serverid );
