<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>

<style type="text/css">
<!--
body { font-family: Arial, Helvetica, sans-serif; font-size: 9pt }
td {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt}
th {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: bold}
-->
</style>
<%@ page language="java" 
    import="org.halfcat.halflife.*, java.util.*, java.net.*" 
%>
<jsp:useBean id="rconServers" scope="session" class="java.util.Hashtable" />
<jsp:useBean id="statusServers" scope="session" class="java.util.Hashtable" />
<%--jsp:useBean id="logListener" scope="application" class="org.halfcat.halflife.LogMessageListener" 
--%>


<%
  LogMessageListener logListener = LogMessageListener.getInstance();
  System.out.println( "Initialized LogListener" );

  if ( session.isNew() )
  {
    Cookie[] ca = request.getCookies();
    CookieProcessor.buildServersFromCookies( ca, rconServers, statusServers );
  }

  boolean serverUp = true;
  // get the requested server
  RconServer server;
  String serverId = request.getParameter( "server" );
  System.out.println( "ServerId: " + serverId );
  if ( serverId == null )
  {
%>
<title>Console Access Denied</title>
<head>
<body>
  <h2>Console Access Denied</h2>
</body>
</html>
<%
    return;
  }
  else if ( rconServers.containsKey( serverId ) )
  {
    server = (org.halfcat.halflife.RconServer)rconServers.get( serverId );
    System.out.println( "console.jsp:  Found server " + server.getServerName() );
  }
  else
  {
%>
<title>No such server</title>
<head>
<body>
<h2>No such server</h2>
</body>
</html>
<%
    return;
  }

  try
  {
    server.refresh();
  }
  catch( SocketException se )
  {
//    serverUp = false;
%>
    <title>Server Down</title>
    </head>

    <body bgcolor="#:BBBBBB">
    <center>
    The server at <b><%= server.getQueryAddress() %>:<%= server.getQueryPort() %></b> is currently Unavailable.<br>
<%
  }
  catch( BadPasswordException bpe )
  {
    serverUp = false;
    StatusServer ss = (StatusServer)statusServers.get( serverId );
%>
    <title>Bad Password</title>
    </head>

    <body>
    <center>
    You supplied an incorrect  rcon password for
    <b><%= ss.getServerName() %></b> at
    <b><%= server.getQueryAddress() %>:<%= server.getQueryPort() %></b><p>

    <a href="addServer.jsp?address=<%= server.getQueryAddress() %>&port=<%= server.getQueryPort() %>">Update Server Information</a><br>
<%
  }



  if ( serverUp )
  {
%>
<title><%= server.getServerName() %> Console</title>
</head>

<body>
<b><%= server.getServerName() %> Console</b>
<hr>
<%
  out.flush();

  String key = server.getQueryAddress() + ":" + server.getPort();
  //String key = server.getQueryAddress() + ":" + server.getQueryPort();
  System.out.println( "***Console listening to: " + key );
  logListener.addListener( key, out );
  boolean done = false;
  Thread t = new Thread();
  while ( ! done )
  {
    try
    {
      t.sleep( 1000 );
    }
    catch( Exception e )
    {
      System.out.println( "join: " + e.getMessage() );
      done = true;
%>
<script>
<!--
javascript:document.location.reload();
//-->
</script>
<%
    }
  }
} // if ( serverUp )
%>
<hr>
<i>This page generated by <b>halfcat</b>.  Visit <a href="http://www.halfcat.org">http://www.halfcat.org</a> or mail us at <a href="mailto:halfcat@halfcat.org">halfcat@halfcat.org</a> for more information.</i>
<hr>
</center>
</body>
</html>
