<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>

<style type="text/css">
<!--
body { font-family: Arial, Helvetica, sans-serif; font-size: 9pt }
td {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt}
th {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: bold}
-->
</style>
<%@ page language="java" 
    import="org.halfcat.halflife.*, org.halfcat.halflife.cstrike.*, org.halfcat.persistence.*, java.util.*, java.net.*, org.halfcat.halflife.info.*" 
%>
<jsp:useBean id="rconServers" scope="session" class="java.util.Hashtable" />
<jsp:useBean id="statusServers" scope="session" class="java.util.Hashtable" />
<%
  if ( session.isNew() )
  {
    Cookie[] ca = request.getCookies();
    CookieProcessor.buildServersFromCookies( ca, rconServers, statusServers );
  }
  String playerString = request.getParameter( "player" );
  if ( playerString == null )
    playerString = "";
  boolean exact = ( request.getParameter( "exact" ) != null );
%>
<title>Find Player</title>
</head>
<body>
<b>Find Player</b>
<form method="post" action="findPlayer.jsp">
<input type="text" size="32" name="player" value="<%= playerString %>">
<input type="submit" size="10" value="Find"><br>
<input type="checkbox" name="exact" <%= ( exact ) ? "checked" : "" %>> Exact Matches Only<br>
</form>
</body>
</html>
<%
  if ( playerString != null && playerString.length() > 0 )
  {
%>
<b>Search Results:</b><br>
<ul>
<%
    List players = PlayerInfo.getPlayersByName( playerString, exact );

    Iterator i = players.iterator();
    while ( i.hasNext() )
    {
      PlayerAlias pa = (PlayerAlias)i.next();
%>
<li><a href="playerProfile.jsp?wonId=<%= pa.getWonID() %>">
<%= pa.getAlias() %></a>
<%
    }
%>
</ul>
<%
  }
%>
</body>
</html>
