<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
<html>
<head>
<style type="text/css">
<!--
body { font-family: Arial, Helvetica, sans-serif; font-size: 9pt }
td {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt}
th {  font-family: Arial, Helvetica, sans-serif; font-size: 9pt; font-weight: bol
d}
b { font-family: Arial, Helvetica, sans-serif; font-weight: bold; font-size: -1}
-->
</style>

  <font name="Arial, Helvetica, sans-serif">
<%@ page language="java" 
    import="org.halfcat.halflife.*, java.util.*, java.net.*" 
%>
<jsp:useBean 
  id="statusServers" scope="session" class="java.util.Hashtable"
/>
<jsp:useBean 
  id="rconServers" scope="session" class="java.util.Hashtable"
/>

<%
  boolean invalid = false;
  String key = request.getParameter( "key" );
  StatusServer ss = null;
  if ( key != null )
  {
    if ( session.isNew() )
    {
      Cookie[] ca = request.getCookies();
      CookieProcessor.buildServersFromCookies( ca, rconServers, statusServers );
    }
    if ( statusServers.containsKey( key ) )
      ss = (StatusServer)statusServers.get( key );
    else 
      invalid = true;
  }
  else
  {
    String aAddress = request.getParameter( "address" );
    String portStr  = request.getParameter( "port" );
    if ( aAddress != null )
    { 
      System.out.println( "New StatusServer" );
      ss = new StatusServer();
      ss.setQueryAddress( aAddress );
      int port = 27015;
      if ( portStr != null )
      {
	try
	{
	  port = Integer.parseInt( portStr );
	}
	catch( Exception e )
	{
	  System.out.println( e.getMessage() );
	}
      }
      ss.setQueryPort( port );
    }
    else
      invalid = true;

    if ( invalid )
    {
%>
    <title>Enter Server Info</title>
    </head>

    <body>
    <center>
    <b>Server to Check:</b>
<form action="listPlayers.jsp">
<input type="text" name="address" size="16"> : 
<input type="text" size="6" name="port" value="27015">
<br>
<input type="submit" name="submit" value="Check Server">
</form>

  </center>
    </body>
    </html>
<%
      return;
    }
  }
  boolean serverUp = true;

  try
  {
    ss.refresh();
  }
  catch( SocketException se )
  {
    serverUp = false;
%>
    <title>Server Down</title>
    </head>

    <body>
    <center>
    The server at <b><%= ss.getQueryAddress() %>:<%= ss.getQueryPort() %></b> is currently Unavailable.<br>
<%
  }
  if ( serverUp )
  {
%>
<title>Status of <%= ss.getServerName() %></title>
</head>

<body font:8pt/11pt verdana;>
<center>
<table border="1" width="100%">
<tr>
  <td colspan=3>
    <table width="100%">
      <tr>
	<td colspan=2><b><%= ss.getServerName() %></b></td>
	<td align="right">
	  <a href="javascript:document.location.reload()">Reload</a>
	</td>
      </tr>
      <tr>
	<td nowrap width="1%"><b>Game Type:</b></td>
	<td colspan="2"><%= ss.getLongGame() %></td>
      </tr>
      <tr>
	<td width="1%"><b>Location:</b></td>
	<td colspan="2"><%= ss.getQueryAddress() %>:<%= ss.getQueryPort() %></td>
      </tr>
      <tr>
	<td width="1%"><b>Map:</b></td>
	<td colspan="2"><%= ss.getMapName() %></td>
      </tr>
      <tr>
	<td width="1%">
	  <b>Players:</b>
	</td>
	<td colspan="2">
	  <%= ss.getNumPlayers() %>/<%= ss.getMaxPlayers() %>
	</td>
      </tr>
    </table>
  </td>
</tr>
<tr>
  <th width="1%"><b>#</b></th>
  <th>Name</th>
  <th width="1%">Frags</th>
</tr>

<%
  Player p;
  List playerList = ss.getPlayers();
  Iterator i = playerList.iterator();
  while ( i.hasNext() )
  {
    p = (Player)i.next();
%>
<tr>
  <td align="center"><%= p.getNumber() %></td>
<%
if ( org.halfcat.persistence.DataSource.isConnected() )
{
%>
  <td><a href="findPlayer.jsp?player=<%= java.net.URLEncoder.encode( p.getPlayerName() ) %>"><%= p.getPlayerName() %></a></td>
<% } else { %>
  <td><%= p.getPlayerName() %> </td>
<% } %>
  <td align="right"><%= p.getFrags() %></td>
</tr>
<%
  } // endwhile
  
  if ( playerList.size() == 0 )
  {
%>
    <tr>
      <td colspan="3" align="center"><b>Server is Empty</b></td>
    </tr>
<%
  }
%>
</table>
<%
} // if ( serverUp )
%>
<hr>
<i>This page is part of <b>HalfCat</b>.  Visit <a href="http://www.halfcat.org">http://www.halfcat.org</a> or mail <a href="mailto:halfcat@halfcat.org">halfcat@halfcat.org</a> for more information.</i>
<hr>
</center>

</body>
</html>
