package org.halfcat.halflife;

import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.net.*;
/**
 * Insert the type's description here.
 * Creation date: (8/25/00 10:18:41 AM)
 * @author: Administrator
 */
public class CookieProcessor 
{
	public static boolean debug = false;
/**
 * CookieProcessor constructor comment.
 */
private CookieProcessor() 
{
	super();
}
/**
 * Insert the method's description here.
 * Creation date: (8/25/00 10:26:20 AM)
 * @param ca javax.servlet.http.Cookie[]
 * @param rconServers java.util.Hashtable
 * @param statusServers java.util.Hashtable
 */
public static void buildServersFromCookies(	Cookie[] ca, 
																						Hashtable rconServers, 
																						Hashtable statusServers)
	throws Exception
{
	for ( int x = 0; x < ca.length; x++ )
	{
		if ( ca[x].getName().startsWith( "svr-" ) )
		{
			if ( ! rconServers.containsKey( ca[x].getName() ) )
			{
				String svrString = URLDecoder.decode( ca[x].getValue() );
	
				if ( debug )
					System.out.println( "adding from cookie: '" + svrString + "'" );

				int cIndex = svrString.indexOf( ':' );
				int mIndex = svrString.indexOf( ' ' );
				int pIndex = 0;
				String passwd = null,
							 qa = null,
							 qp = null;

				if ( cIndex > 0 )
					qa = svrString.substring( 0, cIndex );
	
				if ( debug )
					System.out.println( "qa: '" + qa + "'" );

				qp = svrString.substring( cIndex + 1, mIndex );
				
				if ( debug )
					System.out.println( "qp: '" + qp + "'" );
					
				int port = Integer.parseInt( qp );

				String qm = svrString.substring( mIndex + 1 );

				if ( debug )
					System.out.println( "qm: '" + qm + "'" );

				if ( qm.charAt( 0 ) == '1' )
				{       	
					// management server...need the password
					if ( qm.length() > 2 )
						passwd = qm.substring( 2 );
					else
						passwd = "";
						
					if ( debug )
						System.out.println( "passwd: '" + passwd + "'" );

					// only re-add if we don't already have this in our hash
					RconServer rs = new RconServer();
					rs.setQueryAddress( qa );
					rs.setQueryPort( port );
					rs.setPassword( passwd );
					//rconServers.put( qa + ":" + qp, rs );
					rconServers.put( ca[x].getName(), rs );
	
					if ( debug )
						System.out.println( "rcon: " + rs.getQueryAddress() + ":" +
							
					rs.getQueryPort() + " '" + passwd + "'" );
				}
			
				// add a statusServer, too
				StatusServer ss = new StatusServer();
				ss.setQueryAddress( qa );
				ss.setQueryPort( port );
				statusServers.put( ca[x].getName(), ss );

			}
			else
				if ( debug )
					System.out.println( "Already a server for " + ca[x].getName() );
		}
		else
			if ( debug )
				System.out.println( "unknown: " + ca[x].getName() + ": " + ca[x].getValue() );
	}
}
}
