package org.halfcat.halflife.cstrike;

import java.sql.SQLException;
import java.util.*;
import org.halfcat.persistence.*;

/**
 * Insert the type's description here.
 * Creation date: (8/28/00 4:11:16 PM)
 * @author: Administrator
 */
public class Player 
	extends org.halfcat.persistence.AbstractPersistable 
{
	private long WonID = 0;
	private ArrayList aliases = new ArrayList();
	private ArrayList ipAddresses = new ArrayList();	
	private ArrayList kickbans = new ArrayList();
/**
 * Insert the method's description here.
 * Creation date: (8/13/00 2:04:54 PM)
 * @param newAlias java.lang.String
 */
public void addAlias( String newAlias ) 
{
	if ( ! aliases.contains( newAlias ) )
	{
		aliases.add( newAlias );
		PlayerSource.addAlias( WonID, newAlias );
/*		
		System.out.println( "adding alias: " + newAlias );

		try
		{
			PlayerAlias pa = new PlayerAlias( getWonID(), newAlias );
			DataManager.save( pa );
		}
		catch( SQLException sqe )
		{
			System.out.println( "Failed to save alias!" );
			sqe.printStackTrace();
		}
*/		
	}
}
/**
 * Insert the method's description here.
 * Creation date: (8/13/00 2:04:54 PM)
 * @param newIP java.lang.String
 */
public void addIP( String newIP ) 
{
	if ( ! ipAddresses.contains( newIP ) )
	{
		ipAddresses.add( newIP );
		PlayerSource.addIP( WonID, newIP );
/*		
		System.out.println( "adding IP: " + newIP );
		try
		{
			PlayerIPAddress ip = new PlayerIPAddress( getWonID(), newIP );
			DataManager.save( ip );
		}
		catch( SQLException sqe )
		{
			System.out.println( "Failed to save ip address!" );
			sqe.printStackTrace();
		}
*/		
	}
	
}
/**
 * Insert the method's description here.
 * Creation date: (8/13/00 2:07:23 PM)
 * @return java.util.List
 */
public List getAliases() 
{
	return aliases;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/00 2:48:46 PM)
 * @return java.util.ArrayList
 */
public java.util.ArrayList getIpAddresses() {
	return ipAddresses;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/00 4:47:41 PM)
 * @return long
 */
public long getWonID() {
	return WonID;
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/00 2:48:46 PM)
 * @param newAliases java.util.ArrayList
 */
void setAliases( List newAliases) 
{
	Iterator i = newAliases.iterator();
	while ( i.hasNext() )
		aliases.add( ((PlayerAlias)i.next()).getAlias() );
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/00 2:48:46 PM)
 * @param newIpAddresses java.util.ArrayList
 */
void setIpAddresses( List newIpAddresses) 
{
	Iterator i = newIpAddresses.iterator();
	while ( i.hasNext() )
		ipAddresses.add( ((PlayerIPAddress)i.next()).getAddress() );
	
}
/**
 * Insert the method's description here.
 * Creation date: (8/28/00 4:47:41 PM)
 * @param newWonID long
 */
public void setWonID(long newWonID) {
	WonID = newWonID;
}
}
