package org.halfcat.halflife.cstrike.maps;

import org.halfcat.halflife.cstrike.*;
import java.sql.*;
import java.util.*;
import org.halfcat.persistence.*;

public class PlayerIPAddressMap
	extends AbstractObjectMap
{
	private static String   TABLENAME = "playerAddress";
	private static String[] FIELDS = { "wonID", "address" };
public PlayerIPAddressMap() { super(); }
public String[] getFields() { return FIELDS; }
public String getTableName() { return TABLENAME; }
public Persistable populate( Persistable p, ResultSet rs )
	throws SQLException
{	if ( p == null )
		p = new PlayerIPAddress();
	PlayerIPAddress f = (PlayerIPAddress)p;
	f.setObjectId( rs.getInt( 1 ) );
	f.setWonID( rs.getLong( 2 ) );
	f.setAddress( rs.getString( 3 ) );
	return f;
}
public int prepareInsert( Persistable p, PreparedStatement ps )
	throws SQLException
{
	PlayerIPAddress f = (PlayerIPAddress)p;
	ps.setLong( 1, f.getWonID() );
	ps.setString( 2, f.getAddress() );
	return 2;
}
}
