package org.halfcat.persistence;

import java.sql.*;
/**
 * Insert the type's description here.
 * Creation date: (4/30/00 10:36:19 AM)
 * @author: 
 */
public interface ObjectMap 
{
/**
 * Insert the method's description here.
 * Creation date: (5/20/00 9:48:28 AM)
 */
public String[] getFields();
/**
 * Insert the method's description here.
 * Creation date: (5/20/00 8:45:45 AM)
 * @param statementType java.lang.String
 * @exception java.sql.SQLException The exception description.
 */
public PreparedStatement getStatement( String statementType ) 
	throws SQLException;
/**
 * Insert the method's description here.
 * Creation date: (4/30/00 12:03:13 PM)
 * @return java.lang.String
 */
public String getTableName();
/**
 * Insert the method's description here.
 * Creation date: (4/30/00 11:32:18 AM)
 */
public Persistable populate( Persistable p, ResultSet rs ) 
	throws SQLException;
/**
 * Insert the method's description here.
 * Creation date: (5/20/00 8:45:45 AM)
 * @param p org.halfcat.persistence.Persistable
 * @param ps java.sql.PreparedStatement
 * @exception java.sql.SQLException The exception description.
 */
public void prepareDelete(Persistable p, PreparedStatement ps) 
	throws SQLException;
/**
 * Returns the number of fields populated to prepare the insert
 * Creation date: (5/20/00 8:45:45 AM)
 * @param p org.halfcat.persistence.Persistable
 * @param ps java.sql.PreparedStatement
 * @exception java.sql.SQLException The exception description.
 */
public int prepareInsert(Persistable p, PreparedStatement ps) 
	throws SQLException ;
public void prepareSelectLimited( PreparedStatement ps, Object limiter ) 
	throws SQLException;
public void prepareSelectOne( PreparedStatement ps, int oid ) 
	throws SQLException;
/**
 * Insert the method's description here.
 * Creation date: (5/20/00 8:45:45 AM)
 * @param p org.halfcat.persistence.Persistable
 * @param ps java.sql.PreparedStatement
 * @exception java.sql.SQLException The exception description.
 */
public int prepareUpdate(Persistable p, PreparedStatement ps) 
	throws SQLException;
/**
 * Insert the method's description here.
 * Creation date: (5/20/00 8:45:45 AM)
 * @param statementType java.lang.String
 * @exception java.sql.SQLException The exception description.
 */
public PreparedStatement putStatement( String statementType, PreparedStatement ps ) 
	throws SQLException;
}
