package org.halfcat.persistence;

/**
 * Insert the type's description here.
 * Creation date: (4/30/00 10:29:26 AM)
 * @author: 
 */
public class ObjectState 
{
	public static final int NEW = 0;
	public static final int CLEAN = 1;
	public static final int DIRTY = 2;
	public static final int DELETE = 3;
	public static final int DELETED = 4;
	public static final int PENDING = 5;
/**
 * ObjectState constructor comment.
 */
public ObjectState() {
	super();
}
/**
 * Return a Sring describing the current state
 * Creation date: (4/30/00 10:50:56 AM)
 * @return java.lang.String
 * @param state int
 */
public static String stateString(int state)
{
	String s = null;
	switch( state )
	{
		case ( NEW ): s = "NEW"; break;
		case ( CLEAN ): s = "CLEAN"; break;
		case ( DIRTY ): s = "DIRTY"; break;
		case ( DELETE ): s = "DELETE"; break;
		case ( DELETED ): s = "DELETED"; break;
		case ( PENDING ): s = "PENDING"; break;
	}
	return s;
}
}
