package org.halfcat.persistence;

/**
 * This is the interface that all objects which are saved to the
 * database must implement.  It defines the minimum information
 * about an object for associating it with a row in the database:<BR>
 * <UL><LI>The objectId
 * <LI>The object's state as compared to the DB row
 * </UL>
 * Creation date: (5/19/00 9:32:11 PM)
 * @author: Administrator
 */
public interface Persistable 
{
/**
 * Insert the method's description here.
 * Creation date: (4/30/00 10:37:45 AM)
 * @return int
 */
int getObjectId();
/**
 * Insert the method's description here.
 * Creation date: (4/30/00 10:36:41 AM)
 * @return int
 */
int getObjectState();
/**
 * Insert the method's description here.
 * Creation date: (4/30/00 10:38:03 AM)
 * @param oid int
 */
void setObjectId(int oid);
/**
 * Insert the method's description here.
 * Creation date: (4/30/00 10:36:56 AM)
 * @param state int
 */
void setObjectState(int state);
}
